POST /v1/automation/runs/{runID}/cancel
POST
/v1/automation/runs/{runID}/cancelAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
runIDstringrequiredRequest body
requiredapplication/jsonreasonstringResponses
200OK
created_atstringerroranyevent_idstringidstringrequiredinputanyoutputanystatusstringrequiredstepsRunStepItem[] | nullShow propertiesHide properties
Array of
RunStepItemattemptinteger<int32>requiredcreated_atstringerroranyfinished_atstringidstringrequiredinputanymax_attemptsinteger<int32>requirednode_idstringrequirednode_typestringrequiredoutputanyrun_idstringrequiredscheduled_atstringstarted_atstringstatusstringrequiredupdated_atstringupdated_atstringworkflow_idstringrequiredworkflow_version_idstringrequireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/automation/runs/string/cancel" \
-H "Content-Type: application/json" \
-d '{
"reason": "string"
}'const response = await fetch("/v1/automation/runs/string/cancel", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"reason": "string"
})
});import requests
response = requests.post(
"/v1/automation/runs/string/cancel",
headers={
"Content-Type": "application/json"
},
json={
"reason": "string"
},
)Response
{
"created_at": "string",
"error": "string",
"event_id": "string",
"id": "string",
"input": "string",
"output": "string",
"status": "string",
"steps": [
{
"attempt": 0,
"created_at": "string",
"error": "string",
"finished_at": "string",
"id": "string",
"input": "string",
"max_attempts": 0,
"node_id": "string",
"node_type": "string",
"output": "string",
"run_id": "string",
"scheduled_at": "string",
"started_at": "string",
"status": "string",
"updated_at": "string"
}
],
"updated_at": "string",
"workflow_id": "string",
"workflow_version_id": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}